<?xml version="1.0" encoding="UTF-8"?>
<datasources xmlns="http://www.jboss.org/ironjacamar/schema">
	<datasource jta="false" jndi-name="java:/OntologyBootStrapDS" pool-name="OntologyBootStrapDS" enabled="true" use-ccm="false">
		<connection-url>jdbc:postgresql://POSTGRES_SERVER:POSTGRES_PORT/i2b2</connection-url>
		<driver-class>org.postgresql.Driver</driver-class>
		<driver>postgresql-42.2.8.jar</driver>
		<security>
			<user-name>i2b2hive</user-name>
			<password>HIVE_PASSWORD</password>
		</security>
		<validation>
			<validate-on-match>false</validate-on-match>
			<background-validation>false</background-validation>
		</validation>
		<statement>
			<share-prepared-statements>false</share-prepared-statements>
		</statement>
	</datasource>
	<datasource jta="false" jndi-name="java:/OntologyDemoDS"
		pool-name="OntologyDemoDS" enabled="true" use-ccm="false">
		<connection-url>jdbc:postgresql://POSTGRES_SERVER:POSTGRES_PORT/i2b2</connection-url>
		<driver-class>org.postgresql.Driver</driver-class>
		<driver>postgresql-42.2.8.jar</driver>
		<security>
			<user-name>i2b2metadata</user-name>
			<password>CELL_PASSWORD</password>
		</security>
		<validation>
			<valid-connection-checker class-name="org.jboss.jca.adapters.jdbc.extensions.postgres.PostgreSQLValidConnectionChecker"/>		
			<validate-on-match>false</validate-on-match>
			<background-validation>true</background-validation>
			<background-validation-millis>60000</background-validation-millis>
			<use-fast-fail>true</use-fast-fail>
    		<check-valid-connection-sql>SELECT 1</check-valid-connection-sql>
		</validation>
		<statement>
			<share-prepared-statements>false</share-prepared-statements>
		</statement>
	</datasource>

</datasources>
